import { Tag } from '@malloydata/malloy-tag';
import { StyleDefaults } from './data_styles';
import { Renderer } from './renderer';
import { RendererOptions } from './renderer_types';
import { Cell, Field } from '../data_tree';
import type * as Malloy from '@malloydata/malloy-interfaces';
export declare class HTMLView {
    private document;
    private lastRenderedElement;
    private lastViz;
    constructor(document: Document);
    render(malloyResult: Malloy.Result, options: RendererOptions): Promise<HTMLElement>;
    getHTML(): Promise<string>;
}
export declare class JSONView {
    private document;
    constructor(document: Document);
    render(table: Cell): Promise<HTMLElement>;
}
export declare function makeRenderer(field: Field, document: Document, options: RendererOptions, styleDefaults: StyleDefaults, queryTimezone: string | undefined, tagged: Tag): Renderer;
